Index: trunk/grails-app/views/period/show.gsp
===================================================================
--- trunk/grails-app/views/frequency/show.gsp	(revision 118)
+++ trunk/grails-app/views/period/show.gsp	(revision 122)
@@ -5,14 +5,14 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Show Frequency</title>
+        <title>Show Period</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">Frequency List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New Frequency</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">Period List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New Period</g:link></span>
         </div>
         <div class="body">
-            <h1>Show Frequency</h1>
+            <h1>Show Period</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -26,12 +26,5 @@
                             <td valign="top" class="name">Id:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:frequencyInstance, field:'id')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Frequency:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:frequencyInstance, field:'frequency')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:periodInstance, field:'id')}</td>
                             
                         </tr>
@@ -40,15 +33,22 @@
                             <td valign="top" class="name">Is Active:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:frequencyInstance, field:'isActive')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:periodInstance, field:'isActive')}</td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Life Plans:</td>
+                            <td valign="top" class="name">Period:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:periodInstance, field:'period')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Recurring Schedules:</td>
                             
                             <td  valign="top" style="text-align:left;" class="value">
                                 <ul>
-                                <g:each var="l" in="${frequencyInstance.lifePlans}">
-                                    <li><g:link controller="lifePlan" action="show" id="${l.id}">${l?.encodeAsHTML()}</g:link></li>
+                                <g:each var="r" in="${periodInstance.recurringSchedules}">
+                                    <li><g:link controller="recurringSchedule" action="show" id="${r.id}">${r?.encodeAsHTML()}</g:link></li>
                                 </g:each>
                                 </ul>
@@ -62,5 +62,5 @@
             <div class="buttons">
                 <g:form>
-                    <input type="hidden" name="id" value="${frequencyInstance?.id}" />
+                    <input type="hidden" name="id" value="${periodInstance?.id}" />
                     <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                     <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
